--  2002-10-05
with X_Toolkit;               use X_Toolkit;
with Xm_Widgets.Atom_Manager; use Xm_Widgets.Atom_Manager;
with Xm_Widgets.Protocols;    use Xm_Widgets.Protocols;


package body Xm_Utilities.Protocols is

   ---------------------------------------------------------------------------
   --! <Subprogram>
   --!    <Unit> Add_WM_Delete_Window_Callback
   --!    <Implementation_Notes>
   ---------------------------------------------------------------------------
   procedure Add_WM_Delete_Window_Callback
    (Shell    : in Widget;
     Callback : in Xt_Callback_Proc;
     Closure  : in Xt_Pointer := Null_Xt_Pointer) is
   begin
      Xm_Add_WM_Protocol_Callback
       (Shell,
        Xm_Intern_Atom (Xt_Display_Of_Object (Shell),
                        "WM_DELETE_WINDOW", True),
        Callback,
        Closure);
   end Add_WM_Delete_Window_Callback;

end Xm_Utilities.Protocols;
